Subject: [Callers] Re: Thoughts on fees for a wedding dance?
From: Julian Blechner <[email-masked]>
To: Lisa Sieverts <[email-masked]>
Cc: Shared Weight Contra Callers <[email-masked]>
Date: Mon, 10 Nov 2025 18:58:44 -0500
List-Id: Contra Caller's discussion list <contracallers.lists.sharedweight.net>

Things that make the price go up that are common at weddings:
- alcohol
- open bar
- children
- the couple doesn't expect things like "you need a sound system"
- They're non-dancers and they either don't wanna dance or jump in the
middle, don't know any of the etiquette, etc.
- difficult dance floor (non-wood, small, edges that drop off, people
spilling drinks on it, etc)
- other expectations that they didn't mention that come up later
- needing to be there extra early and potentially leave later
- they expect you to hire the band and/or sound person / provide sound / do
pre-recorded music
- they have special requests
- they aren't exactly sure when the dancing will be, and, honestly, dancing
almost never starts exactly when they say it will

Honestly, even $250 + travel $ isn't worth is unless it's a "I show up, I
do my thing, I leave" at a dry wedding where everything's ontime. (Or it's
someone I know, in which case, I likely am doing it as the gift to the
couple.)
And I say this really enjoying non-wedding events where it's all newer
dancers. There's just SO many variables at a wedding (or similar event)
that make it difficult.

Don't undersell yourself. A DJ is charging 3x that for less work.

In dance
Julian Blechner
he/him
Western Mass, USA.

On Mon, Nov 10, 2025 at 3:13 PM Lisa Sieverts via Contra Callers <
[email-masked]> wrote:

> For a while before COVID, there was an informal “contest” about payment
> for wedding dances.
>
> As I remember, the high bar was someone who received $3,000 as the caller.
>
> Think about how much DJs and wedding bands charge.
>
> Having said that, for my last wedding gig, I charged $1250 which included
> 2 musicians and us bringing and doing our own sound. The musicians played
> for about 2 hours of post-wedding hors d’oeuvres and then we did about 90
> minutes of dancing.
>
> Lisa Sieverts
> Nelson, NH
>
> On 10 Nov 2025, at 14:31, Joseph Erhard-Hudson via Contra Callers wrote:
>
> > While I ponder my answer, I'm curious to hear what other callers charge
> for
> > wedding dances. If there's a range, would you ask differently for
> newly-met
> > people vs. friends from your dance community vs. close friends and
> family?
> > What other factors would you consider?
> >
> _______________________________________________
> Contra Callers mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>